{ pkgs ? import <nixpkgs> {} }:
let
  my-python = pkgs.python3;
  python-with-my-packages = my-python.withPackages (p: with p; [
    astropy
    numpy
    scipy
    ducc0
    matplotlib
    h5py
    pip
    mpi4py
  ]);
in
pkgs.mkShell {
  buildInputs = [
    python-with-my-packages
    pkgs.mpi
    pkgs.jupyter
  ];
  shellHook = ''
  export PIP_PREFIX=$(pwd)/_build/pip_packages
  export PYTHONPATH="$PIP_PREFIX/${pkgs.python3.sitePackages}:$PYTHONPATH"
  export PATH="$PIP_PREFIX/bin:$PATH"
  unset SOURCE_DATE_EPOCH
  '';

  # Need to run 
  # pip install nifty8 ift-resolve ehtim
}

